MATERIAL* Reed_mat =
{
	effect =
	"
texture   entSkin1;
float4x4  matWorldViewProj;

sampler treeSampler = sampler_state 
{
	Texture = <entSkin1>;
	
	MinFilter = LINEAR;
	MagFilter = LINEAR;
	MipFilter = LINEAR;
};

struct VS_INPUT
{
	float3 Pos      : POSITION; 
	float2 Tex      : TEXCOORD0;
};

struct VS_OUTPUT
{
	float4 Pos      : POSITION;
	float2 Tex      : TEXCOORD0;
};


// --- Technique GrassPS
VS_OUTPUT vs_tree(VS_INPUT IN) 
{
	
	VS_OUTPUT OUT;
	float4 pos = float4(IN.Pos,1);

	OUT.Pos = mul(pos, matWorldViewProj);
	OUT.Tex = IN.Tex;
	
	return OUT;
}

float4 ps_tree(VS_OUTPUT IN) : COLOR 
{	
	float4 Color = tex2D(treeSampler,IN.Tex);
	return(Color);
}

// Techniques
technique grass 
{
	pass p0 
	{
		CullMode = None;
		zWriteEnable = true;
		alphaTestEnable = true;
		AlphaRef = 97;
		AlphaFunc = Greater;
		VertexShader = compile vs_1_1 vs_tree();
		PixelShader = compile ps_1_1 ps_tree();
	}
}
	";
}

action Reed_act()
{
	my.material = Tree_mat;
	c_setminmax(my);
	set(my,PASSABLE);
	
	if(my.tilt)
	{
		return;
	}
	
	my.skill21 = random(360);
	my.skill1 = 5;
	my.skill2 = 1;
	
	my.skill30 = c_trace(my.x,vector(my.x,my.y,my.z-100),IGNORE_ME|IGNORE_PASSABLE);
	if(my.skill30 > 0)
	{
		my.z -= my.skill30;
	}

	while(1)
	{
		my.skill21 = (my.skill21+my.skill1*time_step)%360;
		my.pan = sin(my.skill21)*my.skill2;
		my.tilt=sin(my.skill21)*my.skill2;

		wait(1);
	}
}